Megjelent a PHP 5.5.1

PHP

A mai napon kiadták a PHP 5.5 ágának első frissítését, amely az 5.5.1 verziószámot kapta. 20 hibát küszöböltek ki ebben a kiadásban, amelyek között több vezet adott körülmények között “segmentation fault” eredményhez. Már-már természetesnek vesszük, hogy az első kiadásban (5.5.0) biztonsági hibát is orvosolni kell, pedig nem az.

Csodálatos, hogy a legtöbb fejlesztő a mai napig képtelen normálisan kezelni a memóriafoglalásokat és felszabadításokat. Ebben a PHP fejlesztők is élen járnak. Jó is az, ha valamilyen toplistára még fel tud kapaszkodni egy opensource projekt.

“Megjelent a PHP 5.5.1” bővebben

Itt a vége a PHP 5.3 ágának

PHP

Ma megjelent az utolsó frissítés a PHP 5.3 ágához, amely az 5.3.27 verziószámot viseli. 10 kisebb-nagyobb hibát javítottak fejlesztők, ezek között egy nemrégiben felfedezett, jelentősebb biztonsági rés is volt. Az óra tehát ketyeg, a nemtörődöm rendszergazdák számára legfeljebb egy-egy fizetős Linux disztribúció szakemberei által backportolt bugfixek adhatnak reményt.

Nem hiszem, hogy sok szerveren lenne még 5.3, legfeljebb néhány rendszergazda-csökevény húzta idáig az átállást az 5.4 vonalra.
“Itt a vége a PHP 5.3 ágának” bővebben

Már a robots.txt sem szent?

robots.txt

Nem ragozom sokat, nyilván mindenki tudja, hogy a robots.txt fájl mire is való. Röviden, egyszerűen a célja az lenne, hogy egy weblap gazdája meghatározhassa, hogy a weblapjának mely részéről kívánja kizárni a kereső, gyűjtő és egyéb robotokat. Sok alkalmazás valóban figyelembe is veszi a robots.txt fájlban meghatározott korlátozásokat. Sok igen … csak épp nem mindegyik. Az gondolom senkit  nem lep meg, hogy az email cím betakarító robotok nem foglalkoznak ezzel. Azonban sokak számára meglepetés lehet, hogy a legnagyobb cégek robotjai is csak afféle kalóztörvényként tekintenek a robots.txt-re, ami ugye nem is törvény, inkább csak afféle ajánlás…
“Már a robots.txt sem szent?” bővebben

Megjelent az Apache 2.2.25

Apache HTTP szerver

A mai napon az Apache HTTP szerver 2.2-es ágán érkezett frissítés, megjelent a 2.2.25 verziószámú kiadás. Az új verzióban több hibajavítás mellett egy kisebb biztonsági hibát is foltoztak a készítők, mely lehetővé tette, hogy a rewrite log fájlba terminál escape szekvenciák íródjanak.

A biztonsági hiba egyáltalán nem nevezhető jelentősnek, csak emiatt senki ne ugorjon azonnal Apache.org forrásból webszervert frissíteni.
“Megjelent az Apache 2.2.25” bővebben